using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Updating;
using System;
using System.Linq;

// namespaces...
namespace EntityFirst.Module.DatabaseUpdate
{
    // public classes...
    public class Updater : ModuleUpdater
    {
        // public constructors...
        public Updater(IObjectSpace objectSpace, Version currentDBVersion)
            :
            base(objectSpace, currentDBVersion)
        {
        }
        // public methods...
        public override void UpdateDatabaseAfterUpdateSchema()
        {
            base.UpdateDatabaseAfterUpdateSchema();
        }
        public override void UpdateDatabaseBeforeUpdateSchema()
        {
            base.UpdateDatabaseBeforeUpdateSchema();
        }
    }
}
